EFFECT.RenderGroup    = RENDERGROUP_BOTH;	
function EFFECT:Init( data )
	self:SetPos(data:GetOrigin());
	self:SetAngles(data:GetAngle());
	
	self:SetModel("models/props_debris/concrete_chunk05g.mdl");
	self:PhysicsInit(SOLID_VPHYSICS);
	self:SetSolid(SOLID_VPHYSICS);
	self:SetMoveType(MOVETYPE_VPHYSICS);
	self:SetCollisionGroup(COLLISION_GROUP_DEBRIS);
	
	local phys = self:GetPhysicsObject();
	if (phys:IsValid()) then
		phys:SetMaterial("watermelon");
		phys:SetVelocity(data:GetStart());
		phys:AddAngleVelocity(Angle(math.random(-50, 50), math.random(-50, 50), math.random(-50, 50)));
	end
end

function EFFECT:Think()
	return false
end


function EFFECT:Render()
	self:DrawModel();
end